Name:		kmplayer
Version:	0.11.3d
Release:	%mkrel 2
Summary:	A multimedia mplayer/phonon frontend for KDE
Summary(de):	Ein Multimedia Mplayer/Phonon Frontend Abspieler für KDE
License:	GPLv2+
Group:		Video
Url:		http://kmplayer.kde.org/
Source:		http://kmplayer.kde.org/pkgs/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel
BuildRequires:	libnspr-devel
BuildRequires:	gtk2-devel
BuildRequires:	dbus-glib-devel
Requires:	mplayer
Requires:	glibc >= 2.16
Requires:	libstdc++6 >= 4.7.2

%description
KMPlayer can play all the audio/video supported by mplayer/phonon from local
file or url, be embedded inside Konqueror and KHTML and play DVD's.
#german
%description -l de
KMPlayer kann alle Audios/Videos die von mplayer/libxine/Gstreamer unterstützt 
werden lokal oder über eine URL abspielen, eingebunden in Konqueror und KHTML 
sowie DVD's abspielen.

%files
%defattr(-,root,root)
%{_kde_bindir}/kmplayer
%{_kde_bindir}/kphononplayer
%{_kde_datadir}/apps/%{name}
%{_kde_services}/*.desktop
%{_kde_configdir}/%{name}rc
%{_kde_libdir}/*.so
%{_kde_libdir}/kde4/*.so
%{_kde_iconsdir}/*/*/*/*
%{_kde_applicationsdir}/*

#--------------------------------------------------------------------

%package npplayer
Group:		Video
Summary:	Kmplayer netscape plugin player
Summary(de):	KMplayer Netscape Erweiterung 
Requires:	%name

%description npplayer
Kmplayer netscape plugin player.
#german
%description npplayer -l de
KMplayer Netscape Erweiterung. 

%files npplayer
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%_kde_bindir/knpplayer

#______________________________________________________________________

%package	doc
Summary:	%name documentation
Summary(de):	%name Handbuch
Group:		Books/Computer books

%description	doc
This package contains all API documentation for %{name}.
#german
%description	doc -l de
Handbuch zu %name.

%files doc
%defattr(-, root, root)
%doc ChangeLog README
%{_kde_datadir}/doc/HTML/en/kmplayer/common
%{_kde_datadir}/doc/HTML/en/kmplayer/index.cache.bz2
%{_kde_datadir}/doc/HTML/en/kmplayer/index.docbook
%{_kde_datadir}/locale/*/LC_MESSAGES/kmplayer.mo
#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

# icons/oxygen/*. conflicts with oxygen-icon-theme
rm -f %buildroot%_kde_iconsdir/oxygen/*/apps/%name.*


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%{find_lang} %{name} --with-html

%clean
rm -rf $RPM_BUILD_ROOT

#________________________________________________________________________________________________________________

%changelog
* Sun May 12 2013 Texstar <texstar at gmail.com> 0.11.3d-2pclos2013
- rebuild against glibc 2.16

* Sun Jan 27 2013 daniel <meisssw01 at gmail.com> 0.11.3d-1leiche2013
- upstream tarball
- ad german description

* Sat Nov 12 2011 Texstar <texstar at gmail.com> 0.11.3a-1pclos2011
- 0.11.3a

* Sat Oct 15 2011 Texstar <texstar at gmail.com> 0.11.3-1pclos2011
- 0.11.3

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Wed Oct 06 2010 Ertain <sirius-C at iname.com> 0.11.2c-1pclos2010
- 0.11.2c

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.11.2b-3pclos2010
- rebuild for 4.5.1

* Tue Aug 17 2010 Texstar <texstar at gmail.com> 0.11.2b-2pclos2010
- rebuild for 4.5.0

* Sat Apr 24 2010 Texstar <texstar at gmail.com> 0.11.2b-1pclos2010
- 0.11.2b
- split doc files

* Mon Mar 22 2010 Texstar <texstar at gmail.com> 0.11.2a-1pclos2010
- 0.11.2a

* Wed Mar 10 2010 Texstar <texstar at gmail.com> 0.11.2-1pclos2010
- 0.11.2

